Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

Phone system update error...

Discussion in '3CX Phone System - General' started by Pentangle, Dec 13, 2007.

Thread Status:
Not open for further replies.
  1. Pentangle

    Pentangle Member

    Joined:
    Dec 6, 2007
    Messages:
    261
    Likes Received:
    0
    Hi,

    When upgrading from v5.0.3563.0 to v5.0.3647.0 (via the Versions/Updates section in the management console) I get the following error dialog box pop up:

    ---
    3CX Phonesystem 5.0 Setup

    Error opening file for writing:

    C:\Program Files\3CX PhoneSystem\Bin\xerces.dll

    Click Abort to stop the installation, Retry to try again, or Ignore to skip this file
    ---

    I can't Retry, and Ignoring moves the error message onto zlib1.dll in the same folder, and then 3CXSMTP.dll, libpq.dll, cornerr32.dll, krb5_32.dll, libiconv-2.dll, libintl-2.dll, ssleay32.dll, libeay32.dll, and then it continues onto the copying to the recordings folder, does some more installing, and then comes up with the same error, but for 3CXFaxServer.exe. Ignoring that one gets you to the end of the install where it asks you to reboot.

    Any ideas?
    (This is a server dedicated to testing 3CX. It's a Dell Dimension 5000 running Server 2003, fully patched, with no other non-Microsoft software on it. It was originally installed with v3, then v5.0.3647.0, and now v5.0.3563.0 - so it should in theory be an error most people would come across??)
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. Pentangle

    Pentangle Member

    Joined:
    Dec 6, 2007
    Messages:
    261
    Likes Received:
    0
    Update...

    Rebooted the server, most things look ok, apart from the Versions/Updates screen...

    ---
    3CX Phone System Update
    ---
    Installed Version: 5.0.3648.0
    Available Version: 5.0.3647.0
    Your version is out of date
    ---



    What the?!?!?!?!?!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Pentangle

    Pentangle Member

    Joined:
    Dec 6, 2007
    Messages:
    261
    Likes Received:
    0
    Another update - re-did the upgrade file and no error message this time (although i'm not sure whether that's because it didn't try to do anything to those files as it's the same version as before - we will see).

    Phone system update still says the version is out of date by +1 version point - I think that's an issue with a field needing updating at 3CX's end?

    Strangely also it says under the "Translations" section that the English language is out of date?!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. Mori

    Mori New Member

    Joined:
    Mar 23, 2007
    Messages:
    223
    Likes Received:
    0
    The 3647/3648 version error is already fixed according to Nick. 3648 is the correst build.

    The english languagefile has been fixed for an smaller error with the "get 3cx client" link in management console.
    Guess it will be replaced in next release.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.